
QGIS Application - Bug report #6273

Remove item in Style manager only deletes single item

2012-08-28 08:50 PM - Nathan Woodrow

Status: Closed

Priority: Normal

Assignee: Arunmozhi P

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15576

Description

If you select more then one symbol in the style manager the remove item button (-) doesn't remove the selected items, only removes a

single item.

History

#1 - 2012-08-29 05:42 AM - Giovanni Manghi

- Status changed from Open to Feedback

seems duplicate of #5611

#2 - 2012-08-29 05:45 AM - Nathan Woodrow

No this is for the Style Manager dialog.

#3 - 2012-09-16 06:13 AM - Arunmozhi P

- File 6273.patch added

- Pull Request or Patch supplied changed from No to Yes

Patch added.

#4 - 2012-09-29 10:37 PM - Arunmozhi P

- % Done changed from 0 to 50

#5 - 2012-10-02 04:51 AM - Giovanni Manghi

Hi there,

just for curiosity, there is someone working (or planning to) on this issue?

#3275 is one of the outstanding missing features that was available in the old symbology and missing in the new one (allow select >1 symbol classes and

change their symbol in one go).  See [[Switching_from_Old_to_New_Symbology_and_Labeling]]

#6 - 2012-10-05 05:23 PM - Nathan Woodrow
Applied in commit:41d306be1a82

Sorry it took so long

#7 - 2012-10-05 05:24 PM - Nathan Woodrow

- Status changed from Feedback to Resolved

- % Done changed from 50 to 100

- Resolution set to fixed

- Pull Request or Patch supplied changed from Yes to No

#8 - 2013-05-10 08:47 PM - Nathan Woodrow

- Status changed from Resolved to Closed

Files

6273.patch 1.61 KB 2012-09-16 Arunmozhi P
